Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultAmppComponentType

java.lang.Object
be.fgov.ehealth.dics.core.v4.actual.common.AmppComponentKeyType
be.fgov.ehealth.dics.protocol.v4.ConsultAmppComponentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultAmppComponentType extends AmppComponentKeyType implements Serializable

Java class for ConsultAmppComponentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultAmppComponentType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:actual:common}AmppComponentKeyType">
           <sequence>
             <element name="ContentType" type="{urn:be:fgov:ehealth:dics:core:v4:actual:common}ContentTypeType"/>
             <element name="ContentMultiplier" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" minOccurs="0"/>
             <element name="PackSpecification" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="DeviceType" type="{urn:be:fgov:ehealth:dics:protocol:v4}DeviceTypeType" minOccurs="0"/>
             <element name="PackagingClosure" type="{urn:be:fgov:ehealth:dics:protocol:v4}PackagingClosureType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="PackagingMaterial" type="{urn:be:fgov:ehealth:dics:protocol:v4}PackagingMaterialType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="PackagingType" type="{urn:be:fgov:ehealth:dics:protocol:v4}PackagingTypeType"/>
             <element name="AmppComponentEquivalent" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultAmppComponentEquivalentType" maxOccurs="unbounded"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultAmppComponentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ConsultAmppComponentEquivalentType>`
  `getAmppComponentEquivalents()`
  Gets the value of the amppComponentEquivalents property.
  `BigInteger`
  `getContentMultiplier()`
  Multiplier of the concerned component.
  `String`
  `getContentType()`
  Code value for the type of the component: - ACTIVE_ COMPONENT: part of the packaging information on the active substance(s) described as AMP component(s); - SOLVENT: part of the packaging information describing what solvent is contained in the AMPP; - DEVICE: medical device added to the packaging.
  `DeviceTypeType`
  `getDeviceType()`
  Gets the value of the deviceType property.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `List<PackagingClosureType>`
  `getPackagingClosures()`
  Gets the value of the packagingClosures property.
  `List<PackagingMaterialType>`
  `getPackagingMaterials()`
  Gets the value of the packagingMaterials property.
  `PackagingTypeType`
  `getPackagingType()`
  Gets the value of the packagingType property.
  `String`
  `getPackSpecification()`
  Specification of the concerned component.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setContentMultiplier(BigInteger value)`
  Sets the value of the contentMultiplier property.
  `void`
  `setContentType(String value)`
  Sets the value of the contentType property.
  `void`
  `setDeviceType(DeviceTypeType value)`
  Sets the value of the deviceType property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setPackagingType(PackagingTypeType value)`
  Sets the value of the packagingType property.
  `void`
  `setPackSpecification(String value)`
  Sets the value of the packSpecification property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.actual.common.AmppComponentKeyType

  `getAmpcSequenceNr, getSequenceNr, setAmpcSequenceNr, setSequenceNr`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultAmppComponentType

    public ConsultAmppComponentType()

- ## Method Details

  - ### getContentType

    public String getContentType()
    Code value for the type of the component: - ACTIVE_ COMPONENT: part of the packaging information on the active substance(s) described as AMP component(s); - SOLVENT: part of the packaging information describing what solvent is contained in the AMPP; - DEVICE: medical device added to the packaging. - EXCIPIENT: packaging of other non-active components of the product
    Returns:
      possible object is `String`

  - ### setContentType

    public void setContentType(String value)
    Sets the value of the contentType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getContentType()`

  - ### getContentMultiplier

    public BigInteger getContentMultiplier()
    Multiplier of the concerned component. Example: ‘3’ in ‘3 x 500 mg’.
    Returns:
      possible object is `BigInteger`

  - ### setContentMultiplier

    public void setContentMultiplier(BigInteger value)
    Sets the value of the contentMultiplier property.
    Parameters:
      `value` - allowed object is `BigInteger`
    See Also:
      - `getContentMultiplier()`

  - ### getPackSpecification

    public String getPackSpecification()
    Specification of the concerned component. Example: ‘FreeFlex’, ‘EasyFlex N’
    Returns:
      possible object is `String`

  - ### setPackSpecification

    public void setPackSpecification(String value)
    Sets the value of the packSpecification property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPackSpecification()`

  - ### getDeviceType

    public DeviceTypeType getDeviceType()
    Gets the value of the deviceType property.
    Returns:
      possible object is `DeviceTypeType`

  - ### setDeviceType

    public void setDeviceType(DeviceTypeType value)
    Sets the value of the deviceType property.
    Parameters:
      `value` - allowed object is `DeviceTypeType`

  - ### getPackagingClosures

    public List<PackagingClosureType> getPackagingClosures()
    Gets the value of the packagingClosures property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the packagingClosures property.

    For example, to add a new item, do as follows:

         getPackagingClosures().add(newItem);

    Objects of the following type(s) are allowed in the list `PackagingClosureType`

    Returns:
      The value of the packagingClosures property.

  - ### getPackagingMaterials

    public List<PackagingMaterialType> getPackagingMaterials()
    Gets the value of the packagingMaterials property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the packagingMaterials property.

    For example, to add a new item, do as follows:

         getPackagingMaterials().add(newItem);

    Objects of the following type(s) are allowed in the list `PackagingMaterialType`

    Returns:
      The value of the packagingMaterials property.

  - ### getPackagingType

    public PackagingTypeType getPackagingType()
    Gets the value of the packagingType property.
    Returns:
      possible object is `PackagingTypeType`

  - ### setPackagingType

    public void setPackagingType(PackagingTypeType value)
    Sets the value of the packagingType property.
    Parameters:
      `value` - allowed object is `PackagingTypeType`

  - ### getAmppComponentEquivalents

    public List<ConsultAmppComponentEquivalentType> getAmppComponentEquivalents()
    Gets the value of the amppComponentEquivalents property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the amppComponentEquivalents property.

    For example, to add a new item, do as follows:

         getAmppComponentEquivalents().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultAmppComponentEquivalentType`

    Returns:
      The value of the amppComponentEquivalents property.

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`